<div class="device-top"></div>

<nav class="navbar navbar-expand-lg align-items-lg-center container-p-x" [ngClass]="currentBg()">

  <!-- Brand demo (see demo.css) -->
  <!-- <a routerLink="/" class="navbar-brand demo-brand d-lg-none py-0">
    <span class="demo-brand-logo bg-primary">
      <img class="logo-class" src="assets/img/logo.png"> -->
  <!--<svg viewBox="0 0 148 80" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"><defs><linearGradient id="a" x1="46.49" x2="62.46" y1="53.39" y2="48.2" gradientUnits="userSpaceOnUse"><stop stop-opacity=".25" offset="0"></stop><stop stop-opacity=".1" offset=".3"></stop><stop stop-opacity="0" offset=".9"></stop></linearGradient><linearGradient id="e" x1="76.9" x2="92.64" y1="26.38" y2="31.49" xlink:href="#a"></linearGradient><linearGradient id="d" x1="107.12" x2="122.74" y1="53.41" y2="48.33" xlink:href="#a"></linearGradient></defs><path style="fill: #fff;" transform="translate(-.1)" d="M121.36,0,104.42,45.08,88.71,3.28A5.09,5.09,0,0,0,83.93,0H64.27A5.09,5.09,0,0,0,59.5,3.28L43.79,45.08,26.85,0H.1L29.43,76.74A5.09,5.09,0,0,0,34.19,80H53.39a5.09,5.09,0,0,0,4.77-3.26L74.1,35l16,41.74A5.09,5.09,0,0,0,94.82,80h18.95a5.09,5.09,0,0,0,4.76-3.24L148.1,0Z"></path><path transform="translate(-.1)" d="M52.19,22.73l-8.4,22.35L56.51,78.94a5,5,0,0,0,1.64-2.19l7.34-19.2Z" fill="url(#a)"></path><path transform="translate(-.1)" d="M95.73,22l-7-18.69a5,5,0,0,0-1.64-2.21L74.1,35l8.33,21.79Z" fill="url(#e)"></path><path transform="translate(-.1)" d="M112.73,23l-8.31,22.12,12.66,33.7a5,5,0,0,0,1.45-2l7.3-18.93Z" fill="url(#d)"></path></svg>-->
  <!-- </span>
    <span class="demo-brand-name font-weight-normal ml-2">Hypersonix</span>
  </a> -->

  
  <div class="left-toggle">
    <!-- Sidenav toggle (see demo.css) -->
    <!-- <div class="layout-sidenav-toggle navbar-nav d-lg-none align-items-lg-center mr-4" *ngIf="sidenavToggle">
      <a class="nav-item nav-link px-0 ml-2 ml-lg-0" href="javascript:void(0)" (click)="toggleSidenav()">
        <i class="ion ion-md-menu text-large align-middle"></i>
      </a>
    </div> -->

    <div class="mob-logo">
        <div class="demo-brand" *ngIf="orientation !== 'horizontal' && sidenavToggle" >
          <div class="d-flex align-items-center">
            <span class="f-20 v-middle cursor"  (click)="toggleSidenav()"  >
              <div class="hxLogo">
                <span class="text-muted position-absolute" style="font-size:10px;padding-top:1.8rem;"  >MENU</span> 
    
              </div>
  
              </span>
            
              <span class="ml-3 f-20 v-middle cursor">
                <img src="assets/imgs/hxlogo/hx_text.svg" style="height:20px; margin-top: 3px;"  (click)="goToDefaultPage()" />
               </span>
             
            
          </div>
    </div>
  </div>
  </div>
  
<!-- web -->
<div class="web-brand demo-brand d-none" *ngIf="orientation !== 'horizontal'">
    <span >
      <img [src]="logo" class="login-logo" (error)="updateImgError(event)"/>
      <!-- <img src="assets/img/vg.png" style="height: 25px;" class="login-logo" /> -->

    </span>
    <div style="padding-left:0px;">
      <!-- <p style="margin-top:0.4rem;margin-bottom:1px;"><a routerLink="/" class="demo-brand-name sidenav-text font-weight-normal ml-2"
          style="font-weight:bolder !important;">{{title}}</a></p> -->
      <p style="margin-bottom:1px;">
        <a routerLink="/" class="demo-brand-name sidenav-text font-weight-normal ml-2" style="font-weight:bolder !important; color: #ffffff;">{{title}}</a>
      </p>
      <a class="pull-right" href="http://hypersonix.ai/" style="color:rgb(207, 207, 207);font-size: 8px;">
        <!-- Powered by Hypersonix -->
      </a>
    </div>

    <!-- <a href="javascript:void(0)" class="layout-sidenav-toggle
    text-large ml-auto" (click)="toggleSidenav()">
      <i class="ion ion-md-menu align-middle"></i>
    </a> -->
</div>
<!-- web -->

<div class="right-user">
  <!-- search -->
<button class="navbar-toggler nav-link top-search-btn mr-2" type="button" (click)="openSearchWindow()">
    <!-- <i class="fa fa-search" aria-hidden="true"></i> -->
    <i  class="d-inline-flex ion-ios-search navbar-icon align-middle nav-status-icons"></i>
    <!-- <img class="search-white" src="assets/img/uikit/search.png">
    <img class="search-dark" src="assets/img/uikit/search_dark.png"> -->
  </button>
  <!-- search -->
  
<!-- MOBILE NOTIFICATION -->
<div *ngIf="!dataManager.isFeatureAlert" class="navbar-nav notify-panel-mob mr-3"></div>
<div *ngIf="dataManager.isFeatureAlert" class="navbar-nav notify-panel-mob mr-3">
  <div ngbDropdown [placement]="isRTL ? 'bottom-left' : 'bottom-right'" class="demo-navbar-notifications nav-item">
    <a ngbDropdownToggle class="nav-link hide-arrow" href="javascript:void(0)" (click)="batchCountTemp()">
      <!-- <i class="ion ion-md-notifications-outline navbar-icon align-middle"></i> -->
     

      <!-- <img placement="top" ngbTooltip="Notifications" *ngIf="newNotificationCountTemp==0" class="navbar-icon align-middle  white-img" src="assets/img/uikit/notify_nocount.png">
      <img placement="top" ngbTooltip="Notifications" *ngIf="newNotificationCountTemp==0" class="navbar-icon align-middle  lite-img "src="assets/img/uikit/notify_nocount-light.png">
      <img placement="top" ngbTooltip="Notifications" *ngIf="newNotificationCountTemp!=0" class="navbar-icon align-middle  " src="assets/img/uikit/notify.png"> -->

      <span class="d-inline-flex flex-lg-row-reverse align-items-center align-middle">
        <i placement="bottom" ngbTooltip="See recent notifications & manage alerts" *ngIf="newNotificationCountTemp==0" class="ion-ios-notifications navbar-icon align-middle nav-status-icons  "></i>
        <i placement="bottom" ngbTooltip="See recent notifications & manage alerts" *ngIf="newNotificationCountTemp!=0" class="ion-ios-notifications navbar-icon align-middle nav-status-icons yellow  "></i>
      </span>

      <span *ngIf="newNotificationCountTemp!=0" class="badge badge-primary notify-badge">{{newNotificationCountTemp}}</span>
      <!-- <span class="d-lg-none align-middle">&nbsp; Notifications</span> -->
    </a>

    <div ngbDropdownMenu [class.dropdown-menu-right]="!isRTL" class="notification-material notify-dropdown">
      <div class="notify-background text-center text-white font-weight-bold p-3">
        {{newNotificationCount}} New Notifications
      </div>
      <div class="list-group list-group-flush">
        <div *ngFor="let notificaion of usernotifications; let i=index">
          <a *ngIf="i<5" href="javascript:void(0)" class="list-group-item list-group-item-action media d-flex align-items-center">

            <div  class="ui-icon ui-icon-sm ion bg-primary border-0 text-white">!</div>
                <!-- <div  class="media-body line-height-condenced ml-3" (click)="navigateToIndividualNotification(notificaion)" > -->
                  <div  class="media-body line-height-condenced ml-3" >

                    <div class="text-dark">{{notificaion.alert_subject}}</div>
        
                    <div *ngIf="!notificaion.isnew" class="text-ui-material small mt-1">
                        {{notificaion.alert_condition}}
                    </div>
                    <div *ngIf="notificaion.isnew" class="text-ui-material small mt-1 unread-ui">
                        {{notificaion.alert_condition}}
                    </div>
        
                    <div *ngIf="!notificaion.isnew" class="text-ui-material small mt-1">
                        {{formatDate(notificaion.alert_date)}}
                    </div>
                    <div *ngIf="notificaion.isnew" class="text-ui-material small mt-1 unread-ui">
                        {{formatDate(notificaion.alert_date)}}
                    </div>
        
                  </div>
            </a>
          </div>
          </div>
    
          <a href="javascript:void(0)" (click)="navigateToNotificationPage()" class="d-block text-center text-ui-material-hl small p-2 my-1">Show all notifications</a>
        </div>
  </div>
</div>
<!-- MOBILE NOTIFICATION -->


<!-- USER PROFILE -->
<div dropdown [autoClose]="true" class="demo-navbar-user nav-item btn-group view-device">
  <a dropdownToggle class="nav-link dropdown-toggle dropdown-link hide-arrow" href="javascript:void(0)" style="padding:0.60rem 0rem;">

    <span class="flex-lg-row-reverse align-items-center align-middle">
      <!-- <img src="assets/img/avatars/1.png" alt class="d-block ui-w-30 rounded-circle"> -->
      <!-- <i class="far fa-user"></i> -->
      <i  class="ion-md-person navbar-icon align-middle nav-status-icons"></i>
      <!-- <img class="white-img" src="assets/img/uikit/user.png">
      <img class="lite-img" src="assets/img/uikit/user-lite.png"> -->
       <!-- <span class="px-1 mr-lg-2 ml-2 ml-lg-0 username-material">{{userName.toUpperCase()}}</span> -->
    </span>
  </a>



  <div *dropdownMenu class="dropdown-menu profileMenu cust-dropdown-menu dropdown-behaviour" role="menu">
    <!--<a href="javascript:void(0)" class="dropdown-item"><i class="ion ion-ios-person text-lightest"></i> &nbsp; My profile</a>
    <a href="javascript:void(0)" class="dropdown-item"><i class="ion ion-ios-mail text-lightest"></i> &nbsp; Messages</a>-->

    <a href="javascript:void(0)" class="dropdown-item"> <span class="px-1 mr-lg-2 ml-2 ml-lg-0 username-material"><b>{{userName.toUpperCase()}}</b></span></a>

      <a href="javascript:void(0)" class="dropdown-item" (click)="userProfile()">
      <i class="fa fa-user" aria-hidden="true"></i>
      &nbsp; User Profile</a>
      <!-- <a *ngIf="user_cre" href="javascript:void(0)" class="dropdown-item" (click)="manageUser()"><i class="fa fa-users" aria-hidden="true"></i> &nbsp; Manage Users</a>
      <a *ngIf="user_cre" href="javascript:void(0)" class="dropdown-item" (click)="manageRoles()"><i class="fa fa-street-view" aria-hidden="true"></i> &nbsp; Manage Roles</a> -->
      <!-- <a *ngIf="user_cre && !deviceService.isMobile()" href="javascript:void(0)" class="dropdown-item" (click)="adminPanel()"><i class="ion ion-ios-settings"
        aria-hidden="true"></i> &nbsp; Admin Panel</a> -->
    <!-- <a href="javascript:void(0)" class="dropdown-item" (click)="changePassword()"><i class="fa fa-unlock" aria-hidden="true"></i>
      &nbsp; Change Password</a> -->

      <!-- <div class="dropdown-divider"></div> -->
      <a href="javascript:void(0)" class="dropdown-item" (click)="logout()">
        <i class="fa fa-power-off" aria-hidden="true"></i>
        &nbsp; Log Out</a>
    </div>
  </div>
  <!-- USER PROFILE -->

</div>
 

  


  <!-- <button class="navbar-toggler" type="button" (click)="isExpanded = !isExpanded" style="font-size:16px;">
    <i class="fa fa-search" aria-hidden="true"></i>
  </button> -->








  <!--Navbar expand searchbar-->
  <div class="navbar-collapse collapse" [ngbCollapse]="!isExpanded">
    <!--ALREADY CMD Divider -->
    <hr class="d-lg-none w-100 my-2">

    <!--ALREADY CMD <div class="navbar-nav align-items-lg-center">
        &lt;!&ndash; Search &ndash;&gt;

        <label class="nav-item navbar-text navbar-search-box p-0 active">
          <i class="ion ion-ios-search navbar-icon align-middle"></i>
          <span class="navbar-search-input pl-2">
            <input type="text" class="form-control navbar-text mx-2" placeholder="Search..." style="width:200px">
          </span>
        </label>
       </div> ALREADY CMD-->

    <div ngbDropdown [autoClose]="true" class="navbar-nav align-items-center">

      <!--ALREADY CMD Search -->
      <!--ALREADY CMD <label class="nav-item navbar-text navbar-search-box p-0 active">
        <span class="navbar-search-input pl-2 input-groups pr-2" style="overflow: unset"> -->

      <!--ALREADY CMD <input type="text" class="form-control navbar-text mx-2 search-ui" placeholder="Enter Keywords" [(ngModel)]="content.keyword"
            (keyup.enter)="doSearch()" (keyup)="doSuggestion()">

          <button type="button" class="btn btn-primary btn-plain" (click)="doSearch()"><i class="ion ion-ios-search navbar-icon align-middle"
              [ngClass]="{'searching': isSearching}"></i></button>  -->


      <!--ALREADY CMD <tag-input [(ngModel)]="oldKey" editable="true"></tag-input>
              <input type="text" class="form-control navbar-text mx-2 search-ui" placeholder="Enter Keywords ..." style="width:60vw" [(ngModel)]="content.keyword"
            (keyup.enter)="doSearch()" (keyup)="doSuggestion()">-->

      <!--ALREADY CMD <button type="button" class="btn btn-primary btn-plain" (click)="doSearch()"><i class="ion ion-ios-search navbar-icon align-middle"
              [ngClass]="{'searching': isSearching}"></i></button> -->

      <!--ALREADY CMD <button type="button" class="btn icon-btn btn-xs" *ngIf="content.keyword.length > 0" (click)="doClear()"></button> -->


      <!--ALREADY CMD <tag-input [(ngModel)]="items" editable="true"></tag-input> -->
      <!--ALREADY CMD <tag-input [editable]="!disabled" [disable]="disabled" style="width:60vw"  [(ngModel)]="search_key" (onTextChange)="doNewSuggestion()" (keyup)="doNewSuggestion()" separatorKeyCodes="32" placeholder="Search" >
            <tag-input-dropdown [showDropdownIfEmpty]="true" [autocompleteItems]="autocompleteItems">
            </tag-input-dropdown>
          </tag-input> -->

      <!--ALREADY CMD <div style="color:white">{{content.keyword}}</div>
          <input type="text" placeholder="Enter Keywords ..." style="width:1px; overflow: hidden;" [(ngModel)]="content.keyword"
           (keyup)="doSuggestion()"> -->
           <!-- <view-search  *ngIf="!detectmob()"></view-search> -->

      <!--ALREADY CMD </span>  
      </label> -->


      <!--ALREADY CMD <label class="nav-item navbar-text navbar-search-box p-0 active">

                <span class="navbar-search-input pl-2">
                  <input type="text" class="form-control navbar-text mx-2 search-ui" placeholder="Enter Keywords">
                  <i class="ion ion-ios-search navbar-icon align-middle"></i>
                </span>
              </label> -->
      <!--ALREADY CMD SEARCH -->




      <br />
      <div ngbDropdownMenu class="search-suggestion float-left" *ngIf="showSuggestion">
        <!-- ALREADY CMD <span class="dropdown-item text-center" *ngIf="suggestionList.length == 0" >No data found</span> -->
        <div *ngIf="suggestionList.length>0">
          <!-- ALREADY CMD <a class="dropdown-item" href="javascript:void(0)" *ngFor="let item of suggestionList" (click)="itemSelected(item.text)">{{item.description}}</a> -->
          <a class="dropdown-item" href="javascript:void(0)" *ngFor="let item of suggestionList" (click)="addToKeylist(item)">{{item.description}}</a>
        </div>
      </div>
    </div>



    <div class="navbar-nav align-items-center" *ngIf="false">
      <div class="nav-item d-none d-lg-block line-height-1 opacity-50 mr-3 ml-1">
        <a href="javascript:void(0)" (click)="stopSpeechRecognition()" *ngIf="speakerOpen">
          <img src="assets/img/uikit/speaker.png" class="d-block ui-w-50 rounded-circle">
        </a>
        <a href="javascript:void(0)" (click)="startSpeechRecognition()" *ngIf="!speakerOpen">
          <img src="assets/img/uikit/speaker-done.png" class="d-block ui-w-50 rounded-circle">
        </a>
      </div>
      <div class="nav-item d-none d-lg-block line-height-1 opacity-50 mr-3 ml-1">
        <div class="app-search-siri-container d-none" [ngClass]="{'d-block': speakerOpen}">
          <div #siriwaveview></div>
        </div>
      </div>
    </div>


    <!-- NOTIFICATION -->
    <div *ngIf="!dataManager.isFeatureAlert" class="navbar-nav align-items-lg-center ml-auto"></div>
    <div *ngIf="dataManager.isFeatureAlert" class="navbar-nav align-items-lg-center ml-auto">

      <div ngbDropdown [placement]="isRTL ? 'bottom-left' : 'bottom-right'" class="demo-navbar-notifications nav-item mr-lg-3">
        <a ngbDropdownToggle class="nav-link hide-arrow" href="javascript:void(0)" (click)="batchCountTemp()">
          <!-- <i class="ion ion-md-notifications-outline navbar-icon align-middle"></i> -->
          <img *ngIf="newNotificationCountTemp==0" class="navbar-icon align-middle" src="assets/img/uikit/notify_nocount.png">
          <img *ngIf="newNotificationCountTemp!=0" class="navbar-icon align-middle" src="assets/img/uikit/notify.png">
          <span *ngIf="newNotificationCountTemp!=0" class="badge badge-primary notify-badge">{{newNotificationCountTemp}}</span>
          <span class="d-lg-none align-middle">&nbsp; Notifications</span>
        </a>

        <div ngbDropdownMenu [class.dropdown-menu-right]="!isRTL" class="notification-material">
          <div class="notify-background text-center text-white font-weight-bold p-3">
            {{newNotificationCount}} New Notifications
          </div>
          <div class="list-group list-group-flush">
          <!--  <a href="javascript:void(0)" class="list-group-item list-group-item-action media d-flex align-items-center">
              <div class="ui-icon ui-icon-sm ion ion-md-home bg-secondary border-0 text-white"></div>
              <div class="media-body line-height-condenced ml-3">
                <div class="text-dark">Login from 192.168.1.1</div>
                <div class="text-light small mt-1">
                  Aliquam ex eros, imperdiet vulputate hendrerit et.
                </div>
                <div class="text-light small mt-1">12h ago</div>
              </div>
            </a>

            <a href="javascript:void(0)" class="list-group-item list-group-item-action media d-flex align-items-center">
              <div class="ui-icon ui-icon-sm ion ion-md-person-add bg-info border-0 text-white"></div>
              <div class="media-body line-height-condenced ml-3">
                <div class="text-dark">You have <strong>4</strong> new followers</div>
                <div class="text-light small mt-1">
                  Phasellus nunc nisl, posuere cursus pretium nec, dictum vehicula tellus.
                </div>
              </div>
            </a>

            <a href="javascript:void(0)" class="list-group-item list-group-item-action media d-flex align-items-center">
              <div class="ui-icon ui-icon-sm ion ion-md-power bg-danger border-0 text-white"></div>
              <div class="media-body line-height-condenced ml-3">
                <div class="text-dark">Server restarted</div>
                <div class="text-light small mt-1">
                  19h ago
                </div>
              </div>
            </a> -->
            <div *ngFor="let notificaion of usernotifications; let i=index">
                <a   *ngIf="i<5" href="javascript:void(0)" class="list-group-item list-group-item-action media d-flex align-items-center">
    
                  <div  class="ui-icon ui-icon-sm ion ion-md-warning bg-warning border-0 text-dark"></div>
                  <!-- <div  class="media-body line-height-condenced ml-3" (click)="navigateToIndividualNotification(notificaion)"> -->
                    <div  class="media-body line-height-condenced ml-3" >
                    <div class="text-dark">{{notificaion.alert_subject}}</div>
                    <div class="text-light small mt-1">
                        {{notificaion.alert_condition}}
                    </div>
                    <div class="text-light small mt-1">
                      {{notificaion.alert_date}}
                    </div>
                  </div>
                </a>
              </div>
              </div>
    
              <a href="javascript:void(0)" (click)="navigateToNotificationPage()" class="d-block text-center text-light small p-2 my-1">Show all notifications</a>
            </div>
          </div>
        </div>
        <!-- NOTIFICATION -->



    <div class="navbar-nav align-items-lg-center ml-auto navbar-custom-align" ngbDropdown [placement]="'bottom-right'" class="ml-1">

     
      <!-- ALREADY CMD USER PROFILE DESKTOP -->
      <a  aria-haspopup="true" class="nav-link dropdown-toggle p-0" href="javascript:void(0)" [class.dropdown-menu-right]="!isRTL" ngbDropdownToggle aria-expanded="false">
        <span  class="d-inline-flex flex-lg-row-reverse align-items-center align-middle p-0">
          <img  alt="" class="d-block ui-w-40 rounded-circle" src="assets/img/avatars/1-small.svg">
          <a href="javascript:void(0)" class="dropdown-item text-right user-hover" style="display: grid;">
            <span class=" ml-2 ml-lg-0 username-material text-muted" style="text-transform: capitalize;
            font-size: 11px; font-weight: 400; letter-spacing: .6px; color: #777 !important;">{{companyName}}</span ><span
            class="pl-1 pr-0 ml-2 ml-lg-0 username-material user-text"><b>{{userName}}</b></span></a>
        </span>
      </a>
        <div ngbDropdownMenu [class.dropdown-menu-right]="!isRTL" class="mt-3 py-2" style="box-shadow: 0px 3px 10px 1px #7d7d7d5c !important;">
          <a class="dropdown-item" href="javascript:void(0)" (click)="userProfile()">
            <i class="las la-user fa-lg"></i><span class="ml-2">User Profile</span></a>
          <a *ngIf="user_cre" class="dropdown-item" href="javascript:void(0)" (click)="adminPanel()">
            <i class="las la-cog fa-lg"></i><span class="ml-2">Admin Panel</span></a>
            <a class="dropdown-item" href="javascript:void(0)" (click)="changePassword()">
              <i class="las la-unlock fa-lg"></i><span class="ml-2">Change Password</span></a>
              <a class="dropdown-item" href="javascript:void(0)" (click)="logout()">
                <i class="las la-power-off fa-lg"></i><span class="ml-2">Log Out</span></a>
   </div>
      <!-- ALREADY CMD USER PROFILE DESKTOP -->


      <!--ALREADY CMD Divider -->
      <!-- ALREADY CMD <div class="nav-item d-none d-lg-block text-big font-weight-light line-height-1 opacity-25 mr-3 ml-1">|</div> -->


    </div>
  </div>
  <!--Navbar expand searchbar-->


<!-- SEARCH POPUP FOR MOBILE -->
<!-- <div class="app-search d-none" *ngIf="showSearchWindow">

  <div class="app-serch-content">

    <div ngbDropdown [autoClose]="true" class="navbar-nav align-items-center">

      <div class="app-search-detail">
        <span class="search-heading">Search</span>
        <span class="search-close">
        
          <img (click)="cancelClick()" src="assets/img/uikit/close.png">
        </span>
      </div>

     
      <view-search  *ngIf="detectmob()"></view-search>
      <div ngbDropdownMenu class="search-suggestion float-left" *ngIf="showSuggestion">

        <div *ngIf="suggestionList.length>0">

          <a class="dropdown-item" href="javascript:void(0)" *ngFor="let item of suggestionList" (click)="addToKeylist(item)">{{item.description}}</a>
        </div>
      </div>
    </div>

    <div class="navbar-nav align-items-center" *ngIf="false">
      <div class="nav-item d-none d-lg-block line-height-1 opacity-50 mr-3 ml-1">
        <a href="javascript:void(0)" (click)="stopSpeechRecognition()" *ngIf="speakerOpen">
          <img src="assets/img/uikit/speaker.png" class="d-block ui-w-50 rounded-circle">
        </a>
        <a href="javascript:void(0)" (click)="startSpeechRecognition()" *ngIf="!speakerOpen">
          <img src="assets/img/uikit/speaker-done.png" class="d-block ui-w-50 rounded-circle">
        </a>
      </div>
      <div class="nav-item d-none d-lg-block line-height-1 opacity-50 mr-3 ml-1">
        <div class="app-search-siri-container d-none" [ngClass]="{'d-block': speakerOpen}">
          <div #siriwaveview></div>
        </div>
      </div>
    </div>
  </div>

</div> -->
<!-- SEARCH POPUP -->




<!-- Search Model New UI for Mobile -->
<div class="app-search" *ngIf="showSearchWindow">
    <div class="app-serch-content">
  
      <div ngbDropdown [autoClose]="true" class="navbar-nav align-items-center">
        <view-search-mob  *ngIf="detectmob()"></view-search-mob>
        <div ngbDropdownMenu class="search-suggestion float-left" *ngIf="showSuggestion">
  
          <div *ngIf="suggestionList.length>0">
            <a class="dropdown-item" href="javascript:void(0)" *ngFor="let item of suggestionList" (click)="addToKeylist(item)">{{item.description}}</a>
          </div>
        </div>
      </div>
  
      <div class="navbar-nav align-items-center" *ngIf="false">

        <div class="nav-item d-none d-lg-block line-height-1 opacity-50 mr-3 ml-1">
          <a href="javascript:void(0)" (click)="stopSpeechRecognition()" *ngIf="speakerOpen">
            <img src="assets/img/uikit/speaker.png" class="d-block ui-w-50 rounded-circle">
          </a>
          <a href="javascript:void(0)" (click)="startSpeechRecognition()" *ngIf="!speakerOpen">
            <img src="assets/img/uikit/speaker-done.png" class="d-block ui-w-50 rounded-circle">
          </a>
        </div>

        <div class="nav-item d-none d-lg-block line-height-1 opacity-50 mr-3 ml-1">
          <div class="app-search-siri-container d-none" [ngClass]="{'d-block': speakerOpen}">
            <div #siriwaveview></div>
          </div>
        </div>

      </div>


      <div style="height: 15vh; text-align: center; align-items: center;">
          <span class="search-close">
           <img style="width: 40px;" (click)="cancelClick()" src="assets/img/uikit/close.png">
          </span>
      </div>

    </div>
  </div>
<!-- Search Model New UI for Mobile -->




</nav>
